Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_hid_feature_screen_region_info Struct Reference

Describes a structure that gets the screen and region limitations of the current device. More...

`#include <scriptel-hid-reports.h>`

## Data Fields
unsigned char | report_id
| Report ID, should always be SCRIPTEL_FEATURE_SCREEN_REGION_INFO.
unsigned char | screen_count
| Maximum number of screens that are stored on a device.
unsigned char | region_count
| Maximum number of regions that are stored on a device.
unsigned char | regions_per_screen
| Maximum number of regions that can be placed on a screen.
unsigned char | resource_count
| Maximum number of resources that can be stored on the device.
unsigned char | caption_length
| Maximum length of a button caption.
unsigned char | text_region_length
| Maximum length of a text region.
unsigned char | text_width
| Widths in pixels of the a character drawn on the device.
unsigned char | text_height
| Height in pixels of a character drawn on the device.
unsigned char | reserved_1
| Reserved for future use.
unsigned char | reserved_2
| Reserved for future use.
unsigned char | reserved_3
| Reserved for future use.
unsigned char | reserved_4
| Reserved for future use.
unsigned char | reserved_5
| Reserved for future use.
unsigned char | reserved_6
| Reserved for future use.
unsigned char | reserved_7
| Reserved for future use.
unsigned char | reserved_8
| Reserved for future use.
unsigned char | reserved_9
| Reserved for future use.
unsigned char | reserved_10
| Reserved for future use.
unsigned char | reserved_11
| Reserved for future use.
unsigned char | reserved_12
| Reserved for future use.
unsigned char | reserved_13
| Reserved for future use.
unsigned char | reserved_14
| Reserved for future use.
unsigned char | reserved_15
| Reserved for future use.
unsigned char | reserved_16
| Reserved for future use.

## Detailed Description

Describes a structure that gets the screen and region limitations of the current device.

The documentation for this struct was generated from the following file:

- src/scriptel-hid-reports.h